diff --git a/authentic/publisher.py b/authentic/publisher.py
index dc23935..f607cc5 100644
--- a/authentic/publisher.py
+++ b/authentic/publisher.py
@@ -29,7 +29,7 @@ class AuthenticPublisher(QommonPublisher):
     ERROR_LOG = ERROR_LOG
     WEBROOT_DIR = None
 
-    supported_languages = ['fr']
+    supported_languages = ['fr', 'lv', 'ro', 'it']
     # to modify charset of an v
     site_charset = DEFAULT_CHARSET
 
